Bug 102526 - Text mode not restored for S3 driver
Text mode not restored for S3 driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-16 12:09 EDT by Michael McLagan
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 02:13:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael McLagan 2003-08-16 12:09:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624
Netscape/7.1

Description of problem:
Xserver does not restore text mode when exiting with the S3 driver.  SVGALIB
1.4.1-2 from RH 6.3 is necessary to save & restore text mode when starting and
stopping X.

Initial mode is 80x50, (EXTVGA).  Start X server with S3 driver and GXE64 PRO
video card.  Exit X.  Mode is set to 80x25, but underlining Linux VT still
believes it's 50 lines long.  Font is set to standard
80x25 as well.  Once "textmode" is run, 80x50 and font are restored and VT is
usable.  Affects all VTs.

Version-Release number of selected component (if applicable):
XFree86-4.3.0-2

How reproducible:
Always

Steps to Reproduce:
1. Set EXTVGA video
2. Run X server with s3_drv.o
3. Exit X server (CTRL-ALT-BACKSPACE)
4. Text is 80x25
    

Actual Results:  Text is 80x25

Expected Results:  Extended VGA mode is preserved.

Additional info:
Comment 1 Mike A. Harris 2003-08-16 19:34:31 EDT
Unfortunately, I have no S3 video hardware.  Please report this bug upstream
in XFree86 bugzilla at:  http://bugs.xfree86.org so the S3 driver maintainer,
and other XFree86 developers are aware of the problem.  Most likely, someone
with S3 hardware will be able to investigate the matter and provide a fix.

Attach your X server log file and config file to the upstream bug report also
as bugzilla file attachments, so they've got a bit of detail to run with.

If you paste the URL of the upstream bug report here, I will also track the
problem, and try to backport any fixes that come out of it for future erratum.

Thanks.
Comment 2 Michael McLagan 2003-08-17 15:01:51 EDT
http://bugs.xfree86.org/show_bug.cgi?id=602
Comment 3 Mike A. Harris 2004-10-01 02:13:45 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.